%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-jsonify
Version:    0.0.0
Release:    %mkrel 11
Summary:    JSON without touching any globals
License:    Public Domain
Group:      System/Libraries
URL:        https://github.com/substack/jsonify
Source0:    https://registry.npmjs.org/jsonify/-/jsonify-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(garbage)
BuildRequires:  npm(tap)
%endif

%description
This module provides Douglas Crockford's JSON implementation without
modifying any globals. 'stringify' and 'parse' are merely exported
without respect to whether or not a global JSON object exists.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jsonify
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/jsonify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test
%endif


%files
%doc README.markdown
%{nodejs_sitelib}/jsonify



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.0.0-11.mga9
+ Revision: 1819447
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.0.0-10.mga8
+ Revision: 1525226
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Sat Apr 06 2019 umeabot <umeabot> 0.0.0-9.mga7
+ Revision: 1386250
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Enable tests

* Tue May 17 2016 neoclust <neoclust> 0.0.0-6.mga6
+ Revision: 1016265
- imported package nodejs-jsonify

